{-# LANGUAGE OverloadedStrings, NamedFieldPuns #-}

import Application
import Breve.Settings
import Breve.UrlTable

import Web.Spock.Safe


runBreve :: Int -> SpockT IO () -> IO ()
runBreve port app = runSpock port (spockT id app)


main :: IO ()
main = do
  AppSettings { bindUrl
              , bindPort
              , urlTable } <- settings
  table                    <- load urlTable

  putStrLn ("Serving on " ++ bindUrl)
  runBreve bindPort (app bindUrl table)
  